%define pckver 1.4rc5

Name:          libaa
Version:       1.4.0
Release:       4mamba
Summary:       A portable ascii art GFX library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://aa-project.sourceforge.net/aalib/
Source:        http://prdownloads.sourceforge.net/aa-project/aalib-%{pckver}.tar.gz
Patch0:        %{name}-1.4.0-m4.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libX11-devel
BuildRequires: libgpm-devel
BuildRequires: libslang-devel
## AUTOBUILDREQ-END
BuildRequires: libICE-devel
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
AAlib is an portable ascii art GFX library.
If you wish to see some examples of AAlib technology, please browse AA-project homepage.

%package devel
Summary:       Devel package for libaa
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
AAlib is an portable ascii art GFX library.
If you wish to see some examples of AAlib technology, please browse AA-project homepage.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n aalib-%{version}
%patch0 -p0
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure

%make CC=%{_target_platform}-gcc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post devel
%install_info aalib.info
exit 0

%preun devel
%uninstall_info aalib.info
exit 0

%files
%defattr(-,root,root)
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_mandir}/man1/aafire.*
%{_libdir}/libaa.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/aalib-config
%{_includedir}/aalib.h
%{_libdir}/*.la
%{_libdir}/libaa.a
%{_libdir}/libaa.la
%{_libdir}/libaa.so
%{_datadir}/aclocal/aalib.m4
%{_infodir}/aalib.*
%{_mandir}/man3/aa_*
%{_mandir}/man3/mem_d.*
%{_mandir}/man3/save_d.*

%changelog
* Thu Dec 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-4mamba
- rebuilt with debug packagen and aarch64 build fix

* Tue May 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-3mamba
- added patch to suppress aclocal warning with m4 file

* Mon Oct 26 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.4.0-2mamba
- update to version 1.4rc5

* Wed Apr 18 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.4.0-1mamba
- update to version 1.4rc4

* Wed Sep 28 2005 Silvan Calarco <silvan.calarco@qilinux.it> 1.2-2qilnx
- rebuilt
- add cross platform builds support

* Tue Jan 20 2004 Silvan Calarco <silvan.calarco@qilinux.it> 1.2-1qilnx
- first build
